Subject: RE: GetModuleHandle@4
From: "Sander Timmermans" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 25 Apr 2002 18:42:06 +0200

Perhaps a bit offtopic question, but I will asked it anyway,
being as evil as I am };-]  muhahah oh uh.. ok.

The .dll is now built according to this design:

dll:  $(DLL_NAME)
$(DLL_NAME) $(DLL_EXP_DEF) $(DLL_EXP_LIB): $(OBJECTS)
	(echo EXPORTS; nm $(LIBIDL) | grep " T _" | sed 's/.* T _//g') > idl.def
	dlltool --def idl.def --dllname $(IDL_EXPORT_DIR)/idl32.dll --output-lib
idl.a
	gcc -shared -Wl,--out-implib=$(DLL_EXP_LIB) -o $(DLL_NAME) $(OBJECTS)
$(DLL_LDFLAGS) $(DLL_LDLIBS)

Ok hear me now.
I try to access this program in IDL. It does not crash. This is good.
But I get nice errormsgs from IDL stating: Error access is denied.
In the back of my skull I can hear a very faint sound, the voices
tell me that it has something to do with memory access priviliges on
windows2000. Are they right ?

Sander

> -----Original Message-----
> From: Charles Wilson [mailto:[email-masked]]
> Sent: 24 April 2002 19:20
> To: Sander Timmermans
> Cc: [email-masked]
> Subject: Re: GetModuleHandle@4
>
>
> Oh geez. One of these days I'll follow thru on my promise to revamp the
> "how to build a dll" docu on cygwin's website.  For now:
>
> the information you are using is hopelessly out of date.  Go here:
> http://www.neuro.gatech.edu/users/cwilson/cygutils/dll-stuff/
>
> and download the dllhelpers package.  It provides 7 or 8 examples of
> building DLLs using *current* tools, in C, C++, and Fortran.
>
> --Chuck
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/